NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ResizeCurveBuilder Class Reference

Represents a NXOpen::Features::ResizeCurve builder
To create a new instance of this class, use NXOpen::Features::SynchronousCurveCollection::CreateResizeCurveBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::ResizeCurveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ValueType { ValueTypeDiameter, ValueTypeRadius }
 the option for radius or diameter More...
 

Public Member Functions

NXOpen::Features::CurveFinderBuilderCurveFinder ()
 Returns the curve section
Created in NX9.0.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX9.0.0. More...
 
bool KeepOrthogonal ()
 Returns a value that indicates whether keep orthogonal is enabled
Created in NX10.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX9.0.0. More...
 
void SetKeepOrthogonal (bool keepOrthogonal)
 Sets a value that indicates whether keep orthogonal is enabled
Created in NX10.0.0. More...
 
void SetValueOption (NXOpen::Features::ResizeCurveBuilder::ValueType valueOption)
 Sets the size option
Created in NX9.0.0. More...
 
NXOpen::ExpressionValue ()
 Returns the value to resize
Created in NX9.0.0. More...
 
NXOpen::Features::ResizeCurveBuilder::ValueType ValueOption ()
 Returns the size option
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ResizeCurve builder
To create a new instance of this class, use NXOpen::Features::SynchronousCurveCollection::CreateResizeCurveBuilder
Default values.

Property Value

CurveFinder.ChamferEnabled

0

CurveFinder.CoincidentVertex2dComponentEnabled

0

CurveFinder.CoincidentVertexEnabled

0

CurveFinder.CoincidentVertexSketchGroupEnabled

0

CurveFinder.Collinear2dComponentEnabled

0

CurveFinder.CollinearEnabled

0

CurveFinder.CollinearSketchGroupEnabled

0

CurveFinder.Concentric2dComponentEnabled

0

CurveFinder.ConcentricEnabled

0

CurveFinder.ConcentricSketchGroupEnabled

0

CurveFinder.EqualRadius2dComponentEnabled

0

CurveFinder.EqualRadiusEnabled

0

CurveFinder.EqualRadiusSketchGroupEnabled

0

CurveFinder.Offset2dComponentEnabled

0

CurveFinder.OffsetEnabled

0

CurveFinder.OffsetSketchGroupEnabled

0

CurveFinder.Parallel2dComponentEnabled

0

CurveFinder.ParallelEnabled

0

CurveFinder.ParallelSketchGroupEnabled

0

CurveFinder.SymmetricEnabled

0

CurveFinder.Tangent2dComponentEnabled

0

CurveFinder.TangentEnabled

0

CurveFinder.TangentSketchGroupEnabled

0

CurveFinder.UseCurveFinder

1

CurveFinder.VertexOnCurve2dComponentEnabled

0

CurveFinder.VertexOnCurveEnabled

0

CurveFinder.VertexOnCurveSketchGroupEnabled

0

ValueOption

Diameter


Created in NX9.0.0.

Member Enumeration Documentation

the option for radius or diameter

Enumerator
ValueTypeDiameter 

diameter

ValueTypeRadius 

radius

Member Function Documentation

NXOpen::Features::CurveFinderBuilder* NXOpen::Features::ResizeCurveBuilder::CurveFinder ( )

Returns the curve section
Created in NX9.0.0.



License requirements : None

double NXOpen::Features::ResizeCurveBuilder::DistanceTolerance ( )

Returns the distance tolerance
Created in NX9.0.0.



License requirements : None

bool NXOpen::Features::ResizeCurveBuilder::KeepOrthogonal ( )

Returns a value that indicates whether keep orthogonal is enabled
Created in NX10.0.0.



License requirements : None

void NXOpen::Features::ResizeCurveBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::ResizeCurveBuilder::SetKeepOrthogonal ( bool  keepOrthogonal)

Sets a value that indicates whether keep orthogonal is enabled
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
keepOrthogonalkeeporthogonal
void NXOpen::Features::ResizeCurveBuilder::SetValueOption ( NXOpen::Features::ResizeCurveBuilder::ValueType  valueOption)

Sets the size option
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
valueOptionvalueoption
NXOpen::Expression* NXOpen::Features::ResizeCurveBuilder::Value ( )

Returns the value to resize
Created in NX9.0.0.



License requirements : None

NXOpen::Features::ResizeCurveBuilder::ValueType NXOpen::Features::ResizeCurveBuilder::ValueOption ( )

Returns the size option
Created in NX9.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.